package localjx

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/business/jxutils/jxcontext"
	"git.rosy.net.cn/jx-callback/globals/testinit"
)

func init() {
	testinit.Init()
}

func TestGenOrderNo(t *testing.T) {
	orderNo := GenOrderNo(jxcontext.AdminCtx)
	t.Log(orderNo)
}

func TestGetAvailableDeliverTime(t *testing.T) {
	timeInfo, err := GetAvailableDeliverTime(jxcontext.AdminCtx, 100118)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(timeInfo, false))
}
